## visad.collab
Class RemoteDisplaySyncImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.collab.RemoteDisplaySyncImpl

All Implemented Interfaces:
  DisplaySync, MonitorCallback, Remote, RemoteDisplaySync, Serializable

public class RemoteDisplaySyncImpl
extends UnicastRemoteObject
implements RemoteDisplaySync

`RemoteDisplaySyncImpl` is the implementation of the VisAD `RemoteDisplaySync` class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteDisplaySyncImpl(DisplaySyncImpl dpySync)` Creates a remotely-accessible wrapper for the specified `DisplaySync`

Method Summary
`void` `destroy()`
`void` `eventReady(RemoteEventProvider provider, Object key)` Notifies remote event consumer that an event is ready.
`boolean` `isLocalClear()`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteDisplaySyncImpl

    public RemoteDisplaySyncImpl(DisplaySyncImpl dpySync)
                          throws RemoteException

  Creates a remotely-accessible wrapper for the specified `DisplaySync`

Parameters:
  `dpySync` - The local `DisplaySync` object to adapt.
Throws:
  `RemoteException` - If there was an RMI-related problem.

Method Detail

### destroy

    public void destroy()
                 throws RemoteException

  Specified by:
    `destroy` in interface `DisplaySync`
  Throws:
    `RemoteException`

### isLocalClear

    public boolean isLocalClear()
                         throws RemoteException

  Specified by:
    `isLocalClear` in interface `DisplaySync`
  Throws:
    `RemoteException`

### eventReady

    public void eventReady(RemoteEventProvider provider,
                           Object key)
                    throws RemoteException,
                           RemoteVisADException

  Notifies remote event consumer that an event is ready.

  Specified by:
    `eventReady` in interface `MonitorCallback`
  Parameters:
    `provider` - Object from which event should be fetched.
    `key` - Key used to access event.
  Throws:
    `RemoteException` - If there was an RMI-related problem.
    `RemoteVisADException` - If there was an internal problem.